## org.jfree.chart.labels
Interface XYZToolTipGenerator

All Superinterfaces:
  XYToolTipGenerator

All Known Implementing Classes:
  StandardXYZToolTipGenerator

    public interface XYZToolTipGenerator

extends XYToolTipGenerator

Interface for a tooltip generator for plots that use data from an `XYZDataset`.

Method Summary
`java.lang.String` `generateToolTip(XYZDataset dataset, int series, int item)` Generates a tool tip text item for a particular item within a series.

Methods inherited from interface org.jfree.chart.labels.XYToolTipGenerator
`generateToolTip`

Method Detail

### generateToolTip

    java.lang.String generateToolTip(XYZDataset dataset,
                                     int series,
                                     int item)

  Generates a tool tip text item for a particular item within a series.

  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The tooltip text (possibly `null`).